## driverctl 0.115

=== Makefile ===
PREFIX=/usr
UDEVDIR=$(shell pkg-config --variable=udevdir udev)
UNITDIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)
SBINDIR=$(PREFIX)/sbin
CONFDIR=/etc/driverctl.d
MANDIR=$(PREFIX)/share/man/
BASHDIR=$(PREFIX)/share/bash-completion
NAME=driverctl
VERSION=0.$(shell git rev-list --count HEAD)
COMMIT=$(shell git rev-list --max-count 1 HEAD)
NVFMT=$(NAME)-$(VERSION)-$(COMMIT)

files: driverctl driverctl.8 driverctl-bash-completion.sh driverctl@.service 05-driverctl.rules \
	README COPYING TODO \
	89-vfio-uio.rules vfio_name \
	driverctl.spec.in Makefile

archive: files tag driverctl.spec
	git archive --prefix=$(NVFMT)/ HEAD > $(NVFMT).tar
	tar -r -f $(NVFMT).tar --transform "s:^:$(NVFMT)/:" driverctl.spec
	gzip -f -9 $(NVFMT).tar

driverctl.spec:	driverctl.spec.in files
	sed -e 's:#VERSION#:$(VERSION):g' \
            -e 's:#COMMIT#:$(COMMIT):g'  < driverctl.spec.in > driverctl.spec
	git log --format="* %cd %aN <%ae>%n%B" --date=local driverctl.spec.in | sed -r -e 's/%/%%/g' -e 's/[0-9]+:[0-9]+:[0-9]+ //' >> driverctl.spec

srpm:	driverctl.spec archive
	rpmbuild -bs --define "_sourcedir $(PWD)" --define "_specdir $(PWD)" --define "_builddir $(PWD)" --define "_srcrpmdir $(PWD)" --define "_rpmdir $(PWD)" driverctl.spec

rpm:	driverctl.spec archive
	rpmbuild -bb --define "_sourcedir $(PWD)" --define "_specdir $(PWD)" --define "_builddir $(PWD)" --define "_srcrpmdir $(PWD)" --define "_rpmdir $(PWD)" driverctl.spec

install:
	# driverctl 
	mkdir -p $(DESTDIR)$(CONFDIR)
	mkdir -p $(DESTDIR)$(UDEVDIR)/rules.d/
	install -m 644 05-driverctl.rules $(DESTDIR)$(UDEVDIR)/rules.d/
	mkdir -p $(DESTDIR)$(UNITDIR)
	install -m 644 driverctl@.service $(DESTDIR)$(UNITDIR)/
	mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 driverctl $(DESTDIR)$(SBINDIR)/
	mkdir -p $(DESTDIR)$(BASHDIR)/completions/
	install -m 644 driverctl-bash-completion.sh $(DESTDIR)$(BASHDIR)/completions/driverctl
	mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 driverctl.8 $(DESTDIR)$(MANDIR)/man8/
	# misc vfio/uio bits, dont really belong here...
	install -m 644 89-vfio-uio.rules $(DESTDIR)$(UDEVDIR)/rules.d/
	install -m 755 vfio_name $(DESTDIR)$(UDEVDIR)/

clean:
	rm -f driverctl.spec *.src.rpm noarch/*.rpm *.tar.gz

tag:
	git tag -l $(VERSION) | grep -q $(VERSION) || git tag $(VERSION)

## driverctl 0.95

=== debian/changelog ===
driverctl (0.95-2) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.2.0

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Aug 2018 10:34:39 +0100

driverctl (0.95-1) unstable; urgency=medium

  * Initial packaging. (Closes: #901465)
  * Backport shellcheck fixes, Hyper-V bus fix, bash completion and
    udev installation fixes from upstream.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Jun 2018 14:51:29 +0100

=== debian/control ===
Source: driverctl
Maintainer: Luca Boccassi <bluca@debian.org>
Priority: optional
Section: admin
Build-Depends: debhelper (>= 10), pkg-config, udev
Standards-Version: 4.2.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/driverctl/driverctl
Vcs-Git: https://salsa.debian.org/debian/driverctl.git
Vcs-Browser: https://salsa.debian.org/debian/driverctl

Package: driverctl
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, udev,
Description: Device driver control utility for Linux
 Driverctl is a tool for manipulating and inspecting the system
 device driver choices.
 .
 Devices are normally assigned to their sole designated kernel driver
 by default. However in some situations it may be desirable to
 override that default, for example to try an older driver to
 work around a regression in a driver or to try an experimental alternative
 driver. Another common use-case is pass-through drivers and driver
 stubs to allow userspace to drive the device, such as in case of
 virtualization.
 .
 driverctl integrates with udev to support overriding
 driver selection for both cold- and hotplugged devices from the
 moment of discovery, but can also change already assigned drivers,
 assuming they are not in use by the system. The driver overrides
 created by driverctl are persistent across system reboots
 by default.

## driverctl 0.101

=== debian/changelog ===
driverctl (0.101-1) unstable; urgency=medium

  * New upstream release 0.101:
    - Make sure driverctl had loaded all the overrides before basic.target.
  * Drop all patches, merged upstream.
  * Build-depend on systemd, for systemd.pc.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Luca Boccassi <bluca@debian.org>  Thu, 25 Oct 2018 17:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Luca Boccassi <bluca@debian.org>
 Priority: optional
 Section: admin
-Build-Depends: debhelper (>= 10), pkg-config, udev
-Standards-Version: 4.2.0
+Build-Depends: debhelper (>= 10), pkg-config, systemd, udev,
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/driverctl/driverctl
 Vcs-Git: https://salsa.debian.org/debian/driverctl.git

## driverctl 0.108

=== debian/changelog ===
driverctl (0.108-1) unstable; urgency=medium

  * New upstream 0.108 release:
    - Argument --no-save always returns with exit code 1
    - Return error code when unbinding a device from a driver fail
    - bash-completion: autocomplete cmds starting with l.
    - bash-completion: follow the same indent rules.
    - bash-completion: add support for list- commands.
    - bash-completion: simplify and autocomplete cmds.
    - bash-completion: add support for options.
    - bash-completion: suggest pci addresses instead of driver.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Mar 2019 11:54:27 +0000

## driverctl 0.110

=== debian/changelog ===
driverctl (0.110-1) unstable; urgency=medium

  * Add gbp.conf
  * New upstream 0.110 release:
    - improve help text
    - Makefile: drop extra '/'

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Jul 2019 09:14:30 +0100

## driverctl 0.111

=== debian/changelog ===
driverctl (0.111-1ubuntu1) lunar; urgency=medium

  * Add d/p/lp2003678-driverctl-add-list-persisted-command.patch
    to allow listing persisted driverctl definitions (LP: #2003678)

 -- Patricia Domingues <patricia.domingues@canonical.com>  Thu, 16 Feb 2023 12:21:54 -0300

driverctl (0.111-1) unstable; urgency=medium

  * New upstream 0.111 release:
    - driverctl: fix --help to return success.

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Feb 2020 16:43:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: driverctl
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
 Priority: optional
 Section: admin
 Build-Depends: debhelper (>= 10), pkg-config, systemd, udev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/driverctl/driverctl
 Vcs-Git: https://salsa.debian.org/debian/driverctl.git

## driverctl 0.115

=== debian/changelog ===
driverctl (0.115-2) unstable; urgency=medium

  * Switch from pkg-config to pkgconf
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Fix d/watch

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 May 2024 23:26:02 +0100

driverctl (0.115-1) unstable; urgency=medium

  * New upstream 0.115 release

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Nov 2023 21:41:19 +0000

driverctl (0.114-1) unstable; urgency=medium

  * New upstream 0.114 release
  * Drop lp2003678-driverctl-add-list-persisted-command.patch, applied
    upstream
  * Add more links to d/u/metadata

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Oct 2023 12:11:18 +0100

driverctl (0.111-2) unstable; urgency=medium

  [ Patricia Domingues ]
  * Add p/lp2003678-driverctl-add-list-persisted-command.patch
    to allow listing persisted driverctl definitions (LP: #2003678)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.2, no changes
  * Use systemd-dev instead of systemd/udev for pkg-config files
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 22 Jun 2023 14:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: driverctl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Luca Boccassi <bluca@debian.org>
 Priority: optional
 Section: admin
-Build-Depends: debhelper (>= 10), pkg-config, systemd, udev,
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), pkgconf, systemd-dev | systemd, systemd-dev | udev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/driverctl/driverctl
 Vcs-Git: https://salsa.debian.org/debian/driverctl.git

=== debian/watch ===
version=4
options="mode=git" \
  https://gitlab.com/driverctl/driverctl.git \
  refs/tags/v?@ANY_VERSION@
